package cn.gtmap.estateplat.config.core.service;

import cn.gtmap.estateplat.model.server.core.BdcXtYh;

import java.util.HashMap;
import java.util.List;

/**
 * Created by Administrator on 2017/6/27.
 */
public interface BdcXtYhService {
    /**
     * 根据主键插入或更新银行配置.
     *
     * @param bdcBank 银行配置信息
     */
    void insertOrUpdateByPrimaryKey(final BdcXtYh bdcBank);

    /**
     * 根据主键删除银行配置.
     *
     * @param ids 主键，多个主键以逗号隔开
     */
    void deleteBankByPrimaryKey(final String ids);

    /**
     * @param
     * @return
     * @auto <a href="mailto:zhouwanqing@gtmap.cn">zhouwanqing</a>
     * @description 获取银行id和银行名称的HashMap
     **/
    List<HashMap> getBdcXtYhMapList();

    List<BdcXtYh> getBdcXtYhListByMap(HashMap hashMap);

}
